﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace DelayTest
{
    class DelayedOverlay : FeatureSourceMarkerOverlay
    {
        public DelayedOverlay()
        {
            this.FeatureSource = new DelayedFeatureSource();
        }

        protected override ThinkGeo.MapSuite.Core.GeoCollection<Marker> GetMarkersForDrawingCore(ThinkGeo.MapSuite.Core.RectangleShape boundingBox)
        {
            this.FeatureSource.Open();
            this.FeatureSource.GetAllFeatures(ThinkGeo.MapSuite.Core.ReturningColumnsType.AllColumns);
            return new ThinkGeo.MapSuite.Core.GeoCollection<Marker>();
        }
    }
}
