﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace DelayTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            map.Loaded += new RoutedEventHandler(map_Loaded);
        }

        void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.Overlays.Add(new OpenStreetMapOverlay());
            map.Overlays.Add(new DelayedOverlay());
            map.Refresh();
        }
    }
}
